﻿@using App.Erp.Providers
@using Core.Constant
@using Resources
@model Core.Model.Security.RecoverPasswordModel
@{
    ViewBag.Title = Globals.Login;
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";
}
<br />
<br />
<br />
<br />
<br />
<div class="loginblock block">
    <div class="text-center">
        <br />
        <h2>ĐẶT LẠI MẬT KHẨU</h2>
        <br />
        <a class="hotline">@Actions.Hotline @SettingProvider.GetValue(Settings.HOT_LINE)</a>
    </div>
    @using (Html.BeginForm("RecoverPassword", "Account", FormMethod.Post, new { role = "form" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary()
        <div class="form-group">
            <label>Mật khẩu mới</label>
            @Html.HiddenFor(m => m.Token, new { @class = "form-control" })
            @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Password, "")
        </div>
        <div class="form-group">
            <label>Nhập lại mật khẩu mới</label>
            @Html.PasswordFor(m => m.Confirm, new { @class = "form-control" })
            @Html.ValidationMessageFor(m => m.Confirm, "")
        </div>
        <div class="text-center">
            <br />
            <button id="btnSubmit" type="button" class="btn btn-primary">Đặt lại mật khẩu</button>
        </div>
    }
    <br />
</div>
<script>
    $("#btnSubmit").click(function() {
        $("form").validate();
        if (!$("form").valid()) {
            return;
        }
        $.post($("form").attr('action'), $('form').serialize(), function(data) {
                alert(data.message);
                if (data.success) {
                    window.location.href = "/";
                } else {
                    window.location.reload();
                }
            }, 'json'
        ).error(function (e) {
            console.log(e);
            alert("Đã có lỗi xảy ra!");
        });
    });
</script>